Subject: [p2p-sip] Layered traversal (was: STUN (rfc3489))

From: RADHIKA.R.ROY at saic.com (Roy, Radhika R.)
Date: Sun, 9 Jul 2006 17:47:05 -0400

Karst:
 
In VoIP, Media is followed after signaling is completed. The signaling may
consist of SIP/SDP, DHT, and NAT/FW Crossing. Once signaling allows to get
the appropriate addresses for media transfer, SDP uses those addresses for
sending the media.
 
The point is that media layer will go at the bottom.
 
Now the question comes whether we should do a trade-off analysis: NAT/FW
transversal embedded in DHT vs. DHT and NAT/FW traversal as two independent
layers.
 
There is one similarity for both DHT and NAT/FW traversal:
Discovery/Resolving of addresses. However, the punching of holes in FW/NATs
knowing the different NAT/FW types where hosts are located are definitely a
painful job.
 
However, the first thing that we should know before the trade-off analysis
is this: What it take to cross the NAT/FWs in P2P-SIP. With some
extensions/modifications in STUN/TURN/ICE, is it enough in P2P-SIP? If so,
what should we do in in STUN/TURN/ICE including security?
 
Best regards,
Radhika

  _____  

From: p2p-sip-bounces at cs.columbia.edu on behalf of Karst Bjorgson
Sent: Sun 7/9/2006 1:24 AM
To: P2P-SIP
Subject: [p2p-sip] Layered traversal (was: STUN (rfc3489))

As much as I like STUN and ICE, I don't look with
pleasure at the idea of building NAT traversal inside
a DHT, and inside session signalling, and inside every
media stream... I believe we will be much better off
with a layered solution:

             +---------------+
             | Media stream  |
             +---------------+
             | SIP           |
             +---------------+
             | DHT           |
             +---------------+
             | NAT traversal |
             +---------------+

At the bottom layer, something like Teredo could deal
with NAT traversal, making the whole architecture much
simpler.

-- Karst